function fuckSnap2()
{
	document.querySelector('[title="View friend requests"]').click();
	var btns = document.evaluate("//span[contains(., 'Accept')]", document, null, XPathResult.ANY_TYPE, null );
	var btn = btns.iterateNext();
	while(btn != null) {
		btn.parentElement.parentElement.click();
		btn = btns.iterateNext();
	}
}
//setInterval(fuckSnap2, 5000);
//


chrome.runtime.onMessage.addListener(function(request, sender, sendResponse) {
  if (request.message === "run") {
      console.log('RUN!!');
      sendResponse({ response: "Got it from content script!" });
    }
});

console.log('LOADED!!!!');

